/// <reference types="vite/client" />

declare module "qs";
declare module "element-plus/dist/locale/zh-cn.mjs";

declare const VITE_APP_APP: string;

interface ImportMeta {
  readonly env: ImportMetaEnv;
}

interface ComponentConstructor<P = any> {
  new (...args: any[]): {
    $props: P;
  };
}
type Mutable<Type> = {
  -readonly [Key in keyof Type]: Type[Key];
};
